<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>商品検索</title>
<link rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css"
	integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk"
	crossorigin="anonymous">
    <link rel="stylesheet" href="test.css">
</head>
<body style="background-color: snow">
 <nav class="navbar navbar-light" style="background-color: black;">
        <div class="nav">
		<li class="dropdown" style="list-style: none">
            <a href="index" class="navbar-link index-link" style="color: white; font-size: 40px"><p class="sample09; font-italic">COCO CLOSET</p></a></li>　
           </div>
		<div class="nav justify-content-end">
            <li class="navbar-text" style="color: darkgray">${userInfo.name}さん
			</li>　　
			<li class="dropdown"><a href="LogoutServlet"
				class="navbar-link logout-link" style="color: #ff3300;">ログアウト</a></li>
		</div>
	</nav>
        <br>
    <br>
     <div align="center">
         <div class="container">
             <div class="row center">
				<div class="input-group flex-nowrap">
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="addon-wrapping">🔍</span>
                    </div>
                    <input type="text" class="form-control" placeholder="検索" aria-label="検索" aria-describedby="addon-wrapping">
				</div>
			</div>
			<br>
                <br>
				 </div>
			<h2>検索結果</h2>
			<p>
				検索結果${itemCount}件
			</p>
         <!--   商品情報   -->
        <section class="card">
            <div class="card-content" style="background-color: ghostwhite">
				<c:forEach var="item" items="${itemList}">
				<div class="col s12 m3">
						<div class="card-image">
							<a href="Item?item_id=${item.id}"><img src="img/${item.fileName}"></a>
						</div>
						<div class="card-content">
							<span class="card-title">${item.name}</span>
							<p>${item.formatPrice}円
							</p>
						</div>
                        <c:if test="${(status.index + 1) % 4 == 0}">
			             <div class="row">
                            </div>
				    </c:if>
					</div>
				</c:forEach>
            </div>
            </section>
            <br>
             <ul class="pagination">
                <nav aria-label="Page navigation example">
            <ul class="pagination justify-content-center">
        <li class="page-item">
            <a class="page-link" href="ItemSearchResult?search_word=${searchWord}&page_num=${pageNum - 1}" aria-label="Previous">
                    <span aria-hidden="true">&laquo;</span>
            </a>
        </li>
            <li class="page-item"><a class="page-link" href=ItemSearchResult?search_word=${searchWord}&page_num=${status.index}>1</a></li>
            <li class="page-item"><a class="page-link" href="ItemSearchResult?search_word=${searchWord}&page_num=${status.index}">2</a></li>
            <li class="page-item"><a class="page-link" href="ItemSearchResult?search_word=${searchWord}&page_num=${status.index}">3</a></li>
            <li class="page-item">
            <a class="page-link" href="ItemSearchResult?search_word=${searchWord}&page_num=${pageNum + 1}" aria-label="Next">
                <span aria-hidden="true">&raquo;</span>
            </a>
        </li>
            </ul>
                </nav>
			</ul>
    </div>
</body>
</html>